Send a message to a chat
curl --request POST \
--url https://api.izap.ai/api/v1/chats/{chat_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"attachments": [
{
"file_size": 123,
"file_type": "<string>",
"filename": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sender": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/messages"
payload = {
"content": "<string>",
"attachments": [
{
"file_size": 123,
"file_type": "<string>",
"filename": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sender": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
attachments: [
{
file_size: 123,
file_type: '<string>',
filename: '<string>',
url: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
sender: '<string>',
sender_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_message": {
"content": "<string>",
"error_code": 123,
"error_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_reply": true,
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"timestamp": "2023-11-07T05:31:56Z",
"message_sid": "<string>",
"receiver": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"ai_messages": [
{
"content": "<string>",
"error_code": 123,
"error_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_reply": true,
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"timestamp": "2023-11-07T05:31:56Z",
"message_sid": "<string>",
"receiver": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"ai_response_pending": true
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}messages
Send a message to a chat
Sends a message as a human agent and stores it on the conversation. The assistant does not reply to messages sent this way. Attachments are supported.
POST
/
api
/
v1
/
chats
/
{chat_id}
/
messages
Send a message to a chat
Autorizações
Personal access token (izap_pat_…) sent as Authorization: Bearer ; dashboard session JWTs are also accepted.
Parâmetros de caminho
Corpo
application/json
Resposta
Successful Response
Response for POST /chats/{chat_id}/messages.
ai_messages/ai_response_pending are absent on the human-assistant
path (no AI reply was generated) and present on the AI path — kept absent
rather than null via response_model_exclude_unset on the route.